/*=========================================================================

  Program:   Insight Segmentation & Registration Toolkit
  Module:    $RCSfile: itkMinimumDecisionRule.h,v $
  Language:  C++
  Date:      $Date: 2003/09/10 14:29:16 $
  Version:   $Revision: 1.4 $

  Copyright (c) Insight Software Consortium. All rights reserved.
  See ITKCopyright.txt or http://www.itk.org/HTML/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
#ifndef __MinimumDecisionRule_h
#define __MinimumDecisionRule_h

#include "itkWin32Header.h"

#include <vector>
#include "vnl/vnl_matrix.h"
#include "itkObject.h"
#include "itkObjectFactory.h"
#include "itkDecisionRuleBase.h"

namespace itk
{

/** \class MinimumDecisionRule
 *  \brief A Decision rule that choose the class that has minimum value
 */
 
class ITKCommon_EXPORT MinimumDecisionRule : 
  public DecisionRuleBase
{
 public:
  /** Standard class typedefs */ 
  typedef MinimumDecisionRule Self ;
  typedef DecisionRuleBase Superclass;
  typedef itk::SmartPointer<Self> Pointer;
  
  /** Run-time type information (and related methods) */
  itkTypeMacro(MinimumDecisionRule, DecisionRuleBase);
  
  /** Standard New() method support */
  itkNewMacro(Self) ;
  
  unsigned int Evaluate(std::vector< double > &discriminantScores) ;

 protected:
  MinimumDecisionRule() ;
  virtual ~MinimumDecisionRule() {}
  
 private:


} ; // end of class

} // namespace itk

#endif







