/*=========================================================================

  Program:   KWSys - Kitware System Library
  Module:    $RCSfile: Configure.hxx.in,v $

  Copyright (c) Kitware, Inc., Insight Consortium.  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
#ifndef itksys_Configure_hxx
#define itksys_Configure_hxx

/* Whether kwsys namespace is "kwsys".  */
#define itksys_NAME_IS_KWSYS 0

/* Whether ANSI C++ stream headers are to be used.  */
#define itksys_IOS_USE_ANSI 1

/* Whether ANSI C++ streams are in std namespace.  */
#define itksys_IOS_HAVE_STD 1

/* Whether ANSI C++ <sstream> header is to be used.  */
#define itksys_IOS_USE_SSTREAM 1

/* Whether old C++ <strstream.h> header is to be used.  */
#define itksys_IOS_USE_STRSTREAM_H 0

/* Whether old C++ <strstrea.h> header is to be used.  */
#define itksys_IOS_USE_STRSTREA_H 0

/* Whether STL is in std namespace.  */
#define itksys_STL_HAVE_STD 1

/* Define the stl namespace macro.  */
#if itksys_STL_HAVE_STD
# define itksys_stl std
#else
# define itksys_stl
#endif

/* Define the ios namespace macro.  */
#if itksys_IOS_HAVE_STD
# define itksys_ios_namespace std
#else
# define itksys_ios_namespace
#endif
#if itksys_IOS_USE_SSTREAM
# define itksys_ios itksys_ios_namespace
#else
# define itksys_ios itksys_ios
#endif

/* If building a C++ file in kwsys itself, give the source file
   access to the macros without a configured namespace.  */
#if defined(KWSYS_NAMESPACE)
# if !itksys_NAME_IS_KWSYS
#  define kwsys_stl itksys_stl
#  define kwsys_ios itksys_ios
# endif
# define KWSYS_NAME_IS_KWSYS       itksys_NAME_IS_KWSYS
# define KWSYS_STL_HAVE_STD        itksys_STL_HAVE_STD
# define KWSYS_IOS_HAVE_STD        itksys_IOS_HAVE_STD
# define KWSYS_IOS_USE_ANSI        itksys_IOS_USE_ANSI
# define KWSYS_IOS_USE_SSTREAM     itksys_IOS_USE_SSTREAM
# define KWSYS_IOS_USE_STRSTREAM_H itksys_IOS_USE_STRSTREAM_H
# define KWSYS_IOS_USE_STRSTREA_H  itksys_IOS_USE_STRSTREA_H
#endif

#endif
