#ifndef __gdcmConfigure_h
#define __gdcmConfigure_h

/* This header is configured by GDCM's build process.  */

/*--------------------------------------------------------------------------*/
/* Platform Features                                                        */

/* Byte order.  */
/* #undef GDCM_WORDS_BIGENDIAN */

/* Allow access to UINT32_MAX , cf gdcmCommon.h */
#define __STDC_LIMIT_MACROS

/* Hard code the path to the public dictionary */
#define PUB_DICT_PATH "/usr/share/gdcm/"

/* Hardcode the path to GDCM_DATA_ROOT */
#define GDCM_DATA_ROOT ""

/* For older gcc / broken plateform */
/* #undef GDCM_NO_ANSI_STRING_STREAM */

/* I guess something important */
#define CMAKE_HAVE_STDINT_H
#define CMAKE_HAVE_INTTYPES_H

/* This variable allows you to have helpful debug statement */
/* That are in between #ifdef / endif in the gdcm code */
/* That means if GDCM_DEBUG is OFF there shouldn't be any 'cout' at all ! */
/* only cerr, for instance 'invalid file' will be allowed */
/* #undef GDCM_DEBUG */

/* Whether we are building shared libraries.  */
/* This was important as long as GDCM is LGPL */
#define BUILD_SHARED_LIBS

/* GDCM uses __FUNCTION__ which is not ANSI C, but C99 */
#define GDCM_COMPILER_HAS_FUNCTION


/* GetMacAddress require a lot of include file to access low level API */
#define CMAKE_HAVE_UNISTD_H
#define CMAKE_HAVE_STDLIB_H
#define CMAKE_HAVE_SYS_IOCTL_H
#define CMAKE_HAVE_SYS_SOCKET_H
/* #undef CMAKE_HAVE_SYS_SOCKIO_H */
#define CMAKE_HAVE_NET_IF_H
#define CMAKE_HAVE_NETINET_IN_H
/* #undef CMAKE_HAVE_NET_IF_DL_H */
#define CMAKE_HAVE_NET_IF_ARP_H
/* #undef HAVE_SA_LEN */


/*--------------------------------------------------------------------------*/
/* GDCM Versioning                                                          */

/* Version number.  */
#define GDCM_MAJOR_VERSION 0
#define GDCM_MINOR_VERSION 6
#define GDCM_BUILD_VERSION 0
#define GDCM_VERSION "0.6.0"


#endif
